

function validateSchedulePropViewForUpdate(form)
{
    //alert("Coming here"+form.TASK_TYPE.value);

if(form.TASK_TYPE.value == "Device Discovery")
{
    // alert("coming here in DE");
    if(!isValidIPAddress(form.START_ADDR.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.2"));//No I18N
       return false;
     }
      if(!isValidIPAddress(form.END_ADDR.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.3"));//No I18N
       return false;
     }
   if(form.SNMP_PROFILELIST.options.length == 0)
   {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.9"));//No I18N
       return false;
   }
}

  if(!checkRecurrenceValues(form))
  {
	return false;
  }
var selectedReportIndex=form.REPORT_TEMPLATE_NAME.selectedIndex;
var fileUploadObj=document.getElementById("fromFile"); //No I18N
var isFileUploadSelected=(fileUploadObj != null && fileUploadObj.checked == true);
if(form.TASK_TYPE.value != "Device Discovery" && selectedReportIndex<7 && form.TASK_TYPE.value!=I18N.getMsg("js.commonstr.customreports") && !isFileUploadSelected)//No I18N
{
  if(!deviceGroupChooserValidation(form))
  {
	return false;
  }
}

  //selectEmailRecipients(form.EMAIL_RECIPIENTS);

  var toAddress = form.EMAIL_RECIPIENTS.value;

  if(!checkEmailValidity(toAddress,form))
    {
	form.EMAIL_RECIPIENTS.focus();
        return false;
    }

  if(form.TASK_TYPE.value == "Custom Template")
  {
  	if (fileUploadObj != null && fileUploadObj.checked == true)//isadmin value is set in ScheduleProperties.js
      {
            return  validateFileUploader();
            }
      else
      {
  	return checkIfAllVariableValuesGiven(varNames);
      }
  
  }
}

function validateSchedulePropViewForAdd(form)
{   
  if(!validateForm(form))
  {
    return false;
  }

  
  var result = isUniqueColoumn('Schedule','SCHEDULE_NAME',form.SCHEDULE_NAME.value);
  if(result != "true")
  {
      alert(I18N.getMsg("js.scheduleproperties.validateSchedulePropViewForAdd.alert"));
      return false;
  }
  

  // need add script to verify empty schedule name also
  if(!checkRecurrenceValues(form))
  {
	return false;
  }
var selectedReportIndex=form.REPORT_TEMPLATE_NAME.selectedIndex;
var selectedValue=form.REPORT_TEMPLATE_NAME.options[selectedReportIndex].value;
var optGroupName=getOptGroupName(form.REPORT_TEMPLATE_NAME,selectedValue);
var fileUploadObj=document.getElementById("fromFile");
var isFileUploadSelected=(fileUploadObj != null && fileUploadObj.checked == true);
if(form.TASK_TYPE.value != "Device Discovery" && optGroupName!=I18N.getMsg("js.commonstr.customreports") && !isFileUploadSelected)
{
  if(!deviceGroupChooserValidation(form))
  {
	return false;
  }
}
  
if(form.TASK_TYPE.value == "Device Discovery")
{
    if(!isValidIPAddress(form.START_ADDR.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.2"));//No I18N
       return false;
     }
      if(!isValidIPAddress(form.END_ADDR.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.3"));//No I18N
       return false;
     }
   if(form.SNMP_PROFILELIST.options.length == 0)
   {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.9"));//No I18N
       return false;
   }
}

  //selectEmailRecipients(form.EMAIL_RECIPIENTS);

  var toAddress = form.EMAIL_RECIPIENTS.value;
  if(!checkEmailValidity(toAddress,form))
    {
	form.EMAIL_RECIPIENTS.focus();
        return false;
    }

    if (form.TASK_TYPE.value == "Custom Template")
  {
        if (fileUploadObj != null && fileUploadObj.checked == true)//isadmin value is set in ScheduleProperties.js
      {
             return validateFileUploader();
            }
      else
      {
  	return checkIfAllVariableValuesGiven(varNames);
  }
}
}
function getOptGroupName(Obj,val)
{
var selectElem = Obj;
var groups = selectElem.getElementsByTagName ("optgroup");
for(var i=0;i<groups.length;i++)
{
for(var j=0;j<groups[i].childNodes.length;j++)
if(groups[i].childNodes[j].value==val)
    {return groups[i].label;}
}
}
function showHideForScheduleTypeSelection(value, form,instanceid)
{
    var device_Chooser = MM_findObj('device_choose');//No I18N

    var address_range = MM_findObj('addr_range_row_schedule');//No I18N
    var snmp_profile_details = MM_findObj('snmp_profile_row');//No I18N

    var reportChooseObj1 = MM_findObj('report_choose1');
    var reportChooseObj2 = MM_findObj('report_choose2');

    var ctChooserObj1 = MM_findObj('customtemplate_choose1');
    var templatedetailsObj = MM_findObj('templatedetails');
    var customtemplateobj = MM_findObj('CUSTOM_TEMPLATE_NAME');

    var bkpNotif = MM_findObj('bkpnotifcon_row');
    var bkpChangeNotif = MM_findObj('bkpnotifcon_config_change_row');//No I18N
    var compNotif = MM_findObj('compnotifcon_row');
    var backupEnabledObj = MM_findObj('ct_backupenabled_row');
    var syncNotif = MM_findObj('syncnotifcon_row');
    var repOptions = MM_findObj('repOptions_row'); //No I18N


      address_range.className='hide';
      snmp_profile_details.className='hide';
    if (value != "Device Discovery")
    {
         device_Chooser.className='';
    }
    if(value  == "Report Generation")
    {
	reportChooseObj1.className="";
	reportChooseObj2.className="";
	bkpNotif.className='hide';
	bkpChangeNotif.className='hide';
	compNotif.className='hide';
	backupEnabledObj.className = 'hide';
	ctChooserObj1.className='hide';
	templatedetailsObj.className='hide';
        syncNotif.className='hide';
	handleSchReportNameSelection(form.REPORT_TEMPLATE_NAME.value , form)
    }
    else
    {
	reportChooseObj1.className="hide";
	reportChooseObj2.className="hide";
	templatedetailsObj.className='hide';
    	syncNotif.className='hide';
	document.getElementById('reportFileType').className="hide"; //No I18N
	if(value == "Configuration Backup")
	{
	    bkpNotif.className='';
	    bkpChangeNotif.className='';
	    compNotif.className='hide';
	    backupEnabledObj.className = 'hide';
	    ctChooserObj1.className='hide';
            syncNotif.className='hide';
            if(repOptions!=null)
                {repOptions.className='hide';}
	}
	else if(value == "Compliance Check")
	{
	    bkpNotif.className='hide';
	    bkpChangeNotif.className='hide';
	    compNotif.className='';
	    backupEnabledObj.className = 'hide';
	    ctChooserObj1.className='hide';
            repOptions.className='';
	}
	else if(value == "Custom Template")
	{
	    ctChooserObj1.className='';
	    backupEnabledObj.className = '';
	    bkpNotif.className='hide';
	    bkpChangeNotif.className='hide';
	    compNotif.className='hide';
	    showCustomTemplateDetails(customtemplateobj.value,instanceid,null)
           if(repOptions!=null)
                {repOptions.className='hide';}
	}
        else if(value == "Switch Port Mapper")
	{
		bkpNotif.className='hide';
		bkpChangeNotif.className='hide';
		compNotif.className='hide';
	        backupEnabledObj.className = 'hide';
		ctChooserObj1.className='hide';
            if(repOptions!=null)
                {repOptions.className='hide';}
	 
	}	
    
    else if(value == "Sync Configuration")
	{
        syncNotif.className='';

		bkpNotif.className='hide';
		bkpChangeNotif.className='hide';
		compNotif.className='hide';
	    backupEnabledObj.className = 'hide';
		ctChooserObj1.className='hide';
              if(repOptions!=null)
                {repOptions.className='hide';}

	}
     else if(value == "Device Discovery")
     {
             address_range.className='';
             snmp_profile_details.className='';
             bkpNotif.className='hide';
             bkpChangeNotif.className='hide';
             compNotif.className='hide';
             backupEnabledObj.className = 'hide';
             syncNotif.className='hide';
             ctChooserObj1.className='hide';
             if(device_Chooser!=null)
                 {device_Chooser.className='hide';
                 }
             if(repOptions!=null)
                {repOptions.className='hide';}

	}

    }
}


function handleSchReportNameSelection(reportName, form)
{
//alert(reportName);
//alert(scheduleReport);
var reportObj = scheduleReport[reportName];
//alert(reportObj['time_req']);

var reportChooseObj2 = MM_findObj('report_choose2');
var deviceChoose = MM_findObj('device_choose');

var selectedReportIndex=form.REPORT_TEMPLATE_NAME.selectedIndex;
if(selectedReportIndex>7)
    {
        deviceChoose.className="hide";
        reportChooseObj2.className="hide";
        document.getElementById('reportFileType').className=" "; //No I18N
       // return;
    }
 else
{
    document.getElementById('reportFileType').className="hide"; //No I18N
    deviceChoose.className=" ";
}
if(reportObj['time_req'] == "true")
{
reportChooseObj2.className="";
}
else
{
reportChooseObj2.className="hide";
}

if(reportObj['device_req'] == "true")
{
deviceChoose.className="";
}
else
{
deviceChoose.className="hide";
}


}

function showCustomTemplateDetails(templateid,instanceid,prefixid)
{
    
    var url = "CustomTemplateVariablesView.cc?TEMPLATE_ID="+templateid+"&IS_VIEW_MODE="+isviewmode;// No I18N
    if(instanceid != null)
    {
    	url += "&INSTANCE_ID="+instanceid;	
    }   
    if(prefixid != null)
        {
            url+="&PREFIX_ID="+prefixid;// No I18N
        }   
    
    AjaxAPI.sendRequest({URL:url,ONSUCCESSFUNC:handleCustomTemplateResponse});
    //(prefixid value is compRule on changing customtemplate  selectbox from AddNewRule page)
    var precheck=(prefixid!==null && prefixid!=="compRule"); //No I18N 
    if(precheck)
    {closeDialog();}
}

function handleCustomTemplateResponse(response,reqOptions)
{
    var opstatus = response.opStatus;
    var respMsg = response.getOnlyHtml();
    document.getElementById('TEMPLATE_DETAILS').innerHTML = respMsg;
    document.getElementById('templatedetails').className = "";
    showHideVarTable('var_table'); //No I18N
    
}

function checkEmailValidity(toAddress,form)
{
        var status = true;

        var selectedReportIndex=form.REPORT_TEMPLATE_NAME.selectedIndex;
var selectedValue=form.REPORT_TEMPLATE_NAME.options[selectedReportIndex].value;
var optGroupName=getOptGroupName(form.REPORT_TEMPLATE_NAME,selectedValue);
if((form.TASK_TYPE.value == "Configuration Backup" && (form.BKPNOTIF_CONDITION.checked==true || form.BKPNOTIF_CONDITION_CONFIG_CHANGE.checked==true))||
	   (form.TASK_TYPE.value == "Compliance Check" && form.COMPNOTIF_CONDITION.checked==true) ||
       (form.TASK_TYPE.value == "Sync Configuration" && form.SYNCNOTIF_CONDITION.checked==true)||
   (form.TASK_TYPE.value=="Report Generation" && optGroupName=="Custom Reports" && form.csv_Id.checked)) //NO I18N
	{
		if(!isNotEmpty(toAddress))
		{
			alert(I18N.getMsg("js.changemgmt.checkEmailSettings.alert.1"));
			return false;
		}	
	}

	if(isNotEmpty(toAddress))
	{
		 toAddrArray = toAddress.split(",");
		var len = toAddrArray.length;
		for(i=0;i<len;i++)
		{
			if(!validate(trimEmail(toAddrArray[i])))
			{
                                alert(I18N.getMsg("js.validate.checkEmailAddress.variable.1") + " " + toAddrArray[i] + " " + I18N.getMsg("js.validate.checkEmailAddress.variable.2"));
				status= false;
                                break;
			}
		}
	}
        if(!status)
        {
                return false;
        }
	return true;	
}
function hideVarTableDetails(doc)
{
                    if (document.getElementById("var_table") != null)
                    {
                        document.getElementById("var_table").className = "hide";
                        document.getElementById("previewbutton").className="hide";
                    }
}
function showHideVarTable(option)
{
    var varTableObj=document.getElementById("var_table");
    var fileUploadObj=document.getElementById("fileUploadId");
    var devicechooser=document.getElementById("device_choose");
    if(option=='var_table')
    {
        if(varTableObj!=null){varTableObj.className=" ";document.getElementById("previewbutton").className=" ";}
        if(fileUploadObj!=null){fileUploadObj.className="hide";}
        if(devicechooser!=null){devicechooser.className=" ";}
    }
    else
    {
        if(varTableObj!=null){varTableObj.className="hide";document.getElementById("previewbutton").className="hide";}
        if(fileUploadObj!=null){fileUploadObj.className=" ";}
        if(devicechooser!=null){devicechooser.className="hide";}
     }
}
function fileUploadButtonclick()
{
    hideVarTableDetails(doc);
    document.getElementById("fileUploadId").className=" ";
    var templateObj = document.getElementById("CUSTOM_TEMPLATE_NAME");//No I18N
    var schId=document.getElementById("SCHEDULE_ID").value;
    var tempId = templateObj.options[templateObj.selectedIndex].value;
    showURLInDialog('FileUploadView.cc?TEMPLATE_ID=' + tempId+'&SCHEDULE_ID='+schId, '"position=absmiddle,closeOnBodyClick=no,width=650,title=Upload File');//No I18N
}
